using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议附件")]
    public class T_SC_MT_MEETING_FILE : MesEntityBase
    {

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("会议表")]
        [DataFieldForeignKey("Nav_Meeting", "Nav_Files")]
        public Guid MEETING_ID { get; set; }

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("导航：会议表")]
        public virtual T_SC_MT_MEETING Nav_Meeting { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
